Moving multiple selected items only causes the items currently in view to be moved

2013-03-09 07:17 PM - Patrick Dunford

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:No Copied to github as #: 16301

Description

If multiple paths (features in a line type layer) are selected and the Move Features function is used, only the features which are partly or

fully visible at the time are moved. Non visible features are not moved.

It is impractical to have all the features in view, when you need to be able to zoom in to ensure the alignment is correct when moving the

end of a line to meet up with another line.

History

#1 - 2013-03-10 01:19 AM - Giovanni Manghi

- Status changed from Open to Closed

I cannot confirm on the latest master using a line shapefile. Can you post a sample project with data?

#2 - 2013-03-10 01:20 AM - Giovanni Manghi

- Status changed from Closed to Feedback

#3 - 2013-03-10 03:17 PM - Patrick Dunford

So far I haven't been able to replicate this despite seeing it happen only yesterday.

My guess is the selection showed incorrectly (that is, by colour) that all features were selected when only some were selected.

#4 - 2014-06-21 05:17 AM - Jürgen Fischer

- Category set to Digitising

#5 - 2014-10-12 10:37 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

please reopen if you find a way (or data) that allow to replicate the issue.
